﻿@model IEnumerable<DA.Website.Models.UserModel.UserVM>
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>All Users</h1>
@using (Html.BeginForm("Index", "User", FormMethod.Get))
{
    <table class="table">
        <tr>
            <td> <label class="control-label" style=" font-size:x-large ">Search: </label> </td>
            <td>@Html.TextBox("Username", "", new { @class = "form-control", placeholder = "Username" })</td>
            <td> <input type="submit" value="Search" class="btn btn-primary" /> </td>
        </tr>
    </table>
}
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Username)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.First_Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Last_Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Age)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Gender)
            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.ActionLink(item.Username, "Details", "User", new { Username = item.Username })
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.First_Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Last_Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Age)
                </td>
                <td>
                    @if (item.Gender)
                    {
                        <p>Male</p>
                    }
                    else
                    {
                        <p>Female</p>
                    }
                </td>
            </tr>
        }
    </tbody>
</table>
